import React from 'react';
import { Route, Routes } from 'react-router-dom';

import Login from './pages/Login.tsx';
import Index from './pages/Index.tsx';
import Register from './pages/Register.tsx';
import User from './pages/User.tsx';
import PostActions from './pages/PostActions.tsx';

function App() {
  return (
    <Routes>
      <Route path='/' Component={Index} />
      <Route path='/login' Component={Login} />
      <Route path='/register' Component={Register} />
      <Route path='/user/' Component={User} />
      <Route path='/post' Component={PostActions} />
    </Routes>
  );
}

export default App;
